Main Page Widgets Namespaces Book

# Glib::Object Class Reference

Inheritance diagram for Glib::Object:

[legend]
List of all members.

## Public Types
typedef void(* | DestroyNotify )(gpointer data)
## Public Methods
void* | get_data (const QueryQuark& key)
void | set_data (const Quark& key, void* data)
void | set_data (const Quark& key, void* data, DestroyNotify notify)
void | remove_data (const QueryQuark& quark)
void* | steal_data (const QueryQuark& quark)
void | set_property_value (const Glib::ustring& property_name, const Glib::ValueBase& value)
| You probably want to use a specific property_*() accessor method instead.
void | get_property_value (const Glib::ustring& property_name, Glib::ValueBase& value) const
| You probably want to use a specific property_*() accessor method instead.
template <class PropertyType> void | set_property (const Glib::ustring& property_name, const PropertyType& value)
| You probably want to use a specific property_*() accessor method instead.
template <class PropertyType> void | get_property (const Glib::ustring& property_name, PropertyType& value) const
| You probably want to use a specific property_*() accessor method instead.
## Protected Methods
| Object ()
| Object (const Glib::ConstructParams& construct_params)
| Object (GObject* castitem)
virtual | ~Object ()
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr<Glib::Object> | wrap (GObject* object, bool take_copy=false)

## Member Typedef Documentation

typedef void(* Glib::Object::DestroyNotify)(gpointer data)

## Constructor & Destructor Documentation

Glib::Object::Object | ( |  | ) | `[protected]`

Glib::Object::Object | ( | const Glib::ConstructParams& | construct_params | ) | `[explicit, protected]`

Glib::Object::Object | ( | GObject* | castitem | ) | `[explicit, protected]`

virtual Glib::Object::~Object | ( |  | ) | `[protected, virtual]`

| Reimplemented in Atk::Object, and Gtk::Object.

## Member Function Documentation

void* Glib::Object::get_data | ( | const QueryQuark& | key | ) |

template <class PropertyType>
void Glib::Object::get_property | ( | const Glib::ustring& | property_name,
|  | PropertyType& | value
| ) | const

| You probably want to use a specific property_*() accessor method instead.

void Glib::Object::get_property_value | ( | const Glib::ustring& | property_name,
|  | Glib::ValueBase& | value
| ) | const

| You probably want to use a specific property_*() accessor method instead.

void Glib::Object::remove_data | ( | const QueryQuark& | quark | ) |

void Glib::Object::set_data | ( | const Quark& | key,
|  | void* | data,
|  | DestroyNotify | notify
| ) |

void Glib::Object::set_data | ( | const Quark& | key,
|  | void* | data
| ) |

template <class PropertyType>
void Glib::Object::set_property | ( | const Glib::ustring& | property_name,
|  | const PropertyType& | value
| ) |

| You probably want to use a specific property_*() accessor method instead.

void Glib::Object::set_property_value | ( | const Glib::ustring& | property_name,
|  | const Glib::ValueBase& | value
| ) |

| You probably want to use a specific property_*() accessor method instead.

void* Glib::Object::steal_data | ( | const QueryQuark& | quark | ) |

## Friends And Related Function Documentation

Glib::RefPtr<Glib::Object> wrap | ( | GObject* | object,
|  | bool | take_copy = false
| ) | `[related]`

The documentation for this class was generated from the following files:

- glib/glibmm/object.h
- wrap.h